API referenceConversations

Get a conversation

GET
/v2/conversations/{id}

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The conversation id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

The conversation.

application/json
  1. response
id*string
Formatuuid
status*string
Value in"open""snoozed""resolved"
snoozedUntil*string|null
channel*string
connectionId*|
Formatuuid
contact*
assigneeId*|
Formatuuid
teamId*|
Formatuuid
topicId*|
Formatuuid
appId*|
Formatuuid
integrationId*|
Formatuuid
tags*array<string>
priority*integer
unread*boolean
needsReply*boolean
lastMessageAt*string|null
lastInboundAt*string|null
createdAt*string
updatedAt*string
Example Request
curl -X GET 'https://app.gauge.chat/api/v2/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "open",  "snoozedUntil": "string",  "channel": "string",  "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",  "contact": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "displayName": "string"  },  "assigneeId": "665a9750-71bd-4b96-bacd-9efa4ae022dd",  "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",  "topicId": "97b608a9-302e-4387-a5f4-fd35969cdc21",  "appId": "28c365d5-df94-4a54-8217-3ce51d068868",  "integrationId": "497a18ca-284e-40c0-985d-f72be35d468e",  "tags": [    "string"  ],  "priority": 0,  "unread": true,  "needsReply": true,  "lastMessageAt": "string",  "lastInboundAt": "string",  "createdAt": "string",  "updatedAt": "string"}